petsc-3.7.1 2016-05-15
Report Typos and Errors

# ISAllGather

Given an index set (IS) on each processor, generates a large index set (same on each processor) by concatenating together each processors index set.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISAllGather(IS is,IS *isout)

Collective on IS Many br

### Input Parameter

is -the distributed index set Many br

### Output Parameter

isout -the concatenated index set (same on all processors) Many br

### Notes

ISAllGather() is clearly not scalable for large index sets. Many br

The IS created on each processor must be created with a common Many brcommunicator (e.g., PETSC_COMM_WORLD). If the index sets were created Many brwith PETSC_COMM_SELF, this routine will not work as expected, since Many breach process will generate its own new IS that consists only of Many britself. Many br

The communicator for this new IS is PETSC_COMM_SELF Many br

Many br

### See Also

ISCreateGeneral(), ISCreateStride(), ISCreateBlock()

Level:intermediate
Location:src/vec/is/is/utils/iscoloring.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages